//
//  CustomLegend.m
//  IGChartCustomLegend
//
//  Created by IGUser on 5/21/14.
//  Copyright (c) 2014 MMAcademy. All rights reserved.
//

#import "CustomLegend.h"

@implementation CustomLegend

-(CustomLegend*)initWithRemovedValues:(NSMutableArray *)values
{
    self = [super init];
    
    if(self)
    {
        removedValues = values;
    }
    
    return self;
}

-(void)buildItemViews:(NSMutableArray *)items

{
    [super buildItemViews:items];
    UIScrollView *scrollView = self.subviews[0];
    for(int itemIndex = 0; itemIndex < scrollView.subviews.count; itemIndex++)
    {
        UIView *container = scrollView.subviews[itemIndex];
        UILabel *label = container.subviews[0];
        
        if([removedValues containsObject:label.text])
        {
            //remove uneccessary items
            itemIndex --;
            [container removeFromSuperview];
        }
    }
    for(int itemIndex = 0; itemIndex < scrollView.subviews.count; itemIndex++)
    {
        //set values for the margins of the legend
        int marginY = 9;
        int marginX = 60;
        int distanceBetweenLabels = 15;
        //reposition the remaining items
        UIView *container = scrollView.subviews[itemIndex];
        if( itemIndex ==0)
        {
            container.frame = CGRectMake(marginX, marginY, container.frame.size.width, container.frame.size.height);
        }
        else
        {
            UIView *prevContainer = scrollView.subviews[itemIndex -1];
            container.frame = CGRectMake(prevContainer.frame.origin.x + prevContainer.frame.size.width + distanceBetweenLabels, marginY, container.frame.size.width, container.frame.size.height);
        }
    }
    
}


@end
