//
//  ViewController.m
//  IGChartCustomLegend
//
//  Created by IGUser on 5/21/14.
//  Copyright (c) 2014 MMAcademy. All rights reserved.
//

#import "ViewController.h"

#define COUNT 10

@interface ViewController ()

@end

@implementation ViewController

- (void)viewDidLoad
{
    int legendHeight = 30;
    [super viewDidLoad];
	
    infraChart = [[IGChartView alloc]init];
    infraChart.frame = CGRectMake(0, 0, self.view.frame.size.width, self.view.frame.size.height - legendHeight);
    infraChart.autoresizingMask = UIViewAutoresizingFlexibleHeight | UIViewAutoresizingFlexibleWidth;
    
    IGCategoryXAxis *xAxis = [[IGCategoryXAxis alloc]initWithKey:@"xAxis"];
    xAxis.majorStrokeThickness =0 ;
    IGNumericYAxis *yAxis= [[IGNumericYAxis alloc] initWithKey:@"yAxis"];
    yAxis.majorStrokeThickness =0 ;
    
    [infraChart addAxis:xAxis];
    [infraChart addAxis:yAxis];
    
    source1 = [[IGCategorySeriesDataSourceHelper alloc] init];
    source1.values = [self getRandomDataWithLowerBorder:3 andUpperBorder: 14];
    source2 = [[IGCategorySeriesDataSourceHelper alloc] init];
    source2.values = [self getStaticData:15];
    source3 = [[IGCategorySeriesDataSourceHelper alloc] init];
    source3.values = [self getRandomDataWithLowerBorder:17 andUpperBorder: 29];
    source4 = [[IGCategorySeriesDataSourceHelper alloc] init];
    source4.values = [self getStaticData:30];
    
    series1 = [[IGLineSeries alloc] initWithKey:@"firstSeries"];
    series1.xAxis = xAxis;
    series1.yAxis = yAxis;
    series1.markerType = IGMarkerTypeNone;
    series1.title = @"First Series";
    series1.brush = [[IGBrush alloc] initWithColor:[UIColor blueColor]];
    series1.dataSource = source1;
    
    series2 = [[IGLineSeries alloc] initWithKey:@"secondSeries"];
    series2.xAxis = xAxis;
    series2.yAxis = yAxis;
    series2.title = @"Static15";
    series2.markerType = IGMarkerTypeNone;
    series2.brush = [[IGBrush alloc] initWithColor:[UIColor yellowColor]];
    series2.dataSource = source2;
    
    series3 = [[IGLineSeries alloc] initWithKey:@"thirdSeries"];
    series3.xAxis = xAxis;
    series3.yAxis = yAxis;
    series3.markerType = IGMarkerTypeNone;
    series3.title = @"Third Series";
    series3.brush = [[IGBrush alloc] initWithColor:[UIColor redColor]];
    series3.dataSource = source3;
    
    series4 = [[IGLineSeries alloc] initWithKey:@"fourthSeries"];
    series4.xAxis = xAxis;
    series4.yAxis = yAxis;
    series4.title = @"Static30";
    series4.markerType = IGMarkerTypeNone;
    series4.brush = [[IGBrush alloc] initWithColor:[UIColor yellowColor]];
    series4.dataSource = source4;
    
    [infraChart addSeries:series1];
    [infraChart addSeries:series2];
    [infraChart addSeries:series3];
    [infraChart addSeries:series4];
    
    [self.view addSubview:infraChart];
    
    NSMutableArray *remValues = [[NSMutableArray alloc]init];
    [remValues addObject:series2.title];
    [remValues addObject:series4.title];
    
    
    CustomLegend *legend = [[CustomLegend alloc]initWithRemovedValues:remValues];
    legend.frame = CGRectMake(0, self.view.frame.size.height - legendHeight, self.view.frame.size.width, legendHeight);

    infraChart.legend = legend;
    legend.autoresizingMask = UIViewAutoresizingFlexibleHeight | UIViewAutoresizingFlexibleWidth;
    
    IGChartThemeDefinition *def = [[IGChartThemeDefinition alloc]init];
    def.font =[UIFont fontWithName:@"Helvetica" size:8];
    infraChart.theme =def;

    
    [self.view addSubview:legend];
    
    
}

-(NSMutableArray *)getStaticData:(double)value
{
    NSMutableArray *values = [[NSMutableArray alloc] init];
    
    for (int i = 0; i<COUNT; i++) {
        [values addObject:[[NSNumber alloc] initWithDouble:value]];
    }
    
    return values;
}

-(NSMutableArray *)getRandomDataWithLowerBorder:(double)low andUpperBorder:(double)high
{
    NSMutableArray *values = [[NSMutableArray alloc] init];
    int ceiling = high - low;
    
    for (int i = 0; i<COUNT; i++) {
        [values addObject:[[NSNumber alloc] initWithDouble:(arc4random() % ceiling) + low]];
    }
    
    return values;
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
